douglas_peucker.c File Reference
`#include "douglas_peucker.h"`
`#include "utilities.h"`
Include dependency graph for douglas_peucker.c:

Go to the source code of this file.

## Functions

GPtrArray * | splt_douglas_peucker (GArray *gdk_points, void(*callback)(ui_state *ui), ui_state *ui, gdouble threshold_to_discard_points,...)
void | splt_douglas_peucker_free (GPtrArray *douglas_peucker_ptr_array)
gdouble | splt_find_distance (GdkPoint first, GdkPoint second)
gdouble | splt_find_perpendicular_distance (GdkPoint point, GdkPoint segment_begin_point, GdkPoint segment_end_point)
distance_and_index * | splt_find_point_with_maximum_distance (GArray *douglas_points, GdkPoint first_point, GdkPoint last_point)

## Detailed Description

The Douglas Peucker algorithm used to reduce the number of points of the amplitude wave curve

Definition in file douglas_peucker.c.